Skip to main content
GET
/
v2
/
monitors
/
{id}
/
logs
Get monitor change logs
curl --request GET \
  --url https://api.topograph.co/v2/monitors/{id}/logs \
  --header 'x-api-key: <api-key>'
{
  "logs": [
    {
      "id": "cmfzlu1dt000j12ldeqrfszq0",
      "changeDetected": true,
      "changeCategories": [
        "status",
        "address"
      ],
      "fetchStatus": "success",
      "createdAt": "2026-03-20T02:00:00.000Z",
      "errorMessage": null
    }
  ],
  "hasNextPage": true,
  "nextCursor": "cmfzlu1dt000j12ldeqrfszq0"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Monitor ID

Query Parameters

first
number

Number of items to fetch (default: 25)

after
string

Cursor for pagination

Response

Monitor change logs

logs
object[]
required

List of monitor log entries

hasNextPage
boolean
required

Whether there is a next page available

Example:

true

nextCursor
string

Cursor for the next page

Example:

"cmfzlu1dt000j12ldeqrfszq0"